be.ehealth.businessconnector.mycarenet.attest.builders.impl

## Class RequestObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.attest.builders.impl.RequestObjectBuilderImpl

- All Implemented Interfaces:
    RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class RequestObjectBuilderImpl
      extends Object
      implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  See Also:
    `RequestObjectBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestObjectBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `AttestBuilderRequest` | `buildSendAttestationRequest(boolean isTest, InputReference references, Ssin patientSsin, org.joda.time.DateTime referenceDate, Kmehrmessage msg)` Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestObjectBuilderImpl

          public RequestObjectBuilderImpl()

  - ### Method Detail

    - #### buildSendAttestationRequest

          public AttestBuilderRequest buildSendAttestationRequest(boolean isTest,
                                                                  InputReference references,
                                                                  Ssin patientSsin,
                                                                  org.joda.time.DateTime referenceDate,
                                                                  Kmehrmessage msg)
                                                           throws TechnicalConnectorException,
                                                                  AttestBusinessConnectorException,
                                                                  JAXBException,
                                                                  TransformerException,
                                                                  UnsupportedEncodingException

      Description copied from interface: `RequestObjectBuilder`
      Creates the SendAttestationRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Specified by:
        `buildSendAttestationRequest` in interface `RequestObjectBuilder`
      Parameters:
        `isTest` - indicates if this is a test or not
        `patientSsin` - the ssin of the the patient
        `referenceDate` - the reference date
        `msg` - the kmehr message specifying the attestation to send
      Returns:
        a wrapper containing the valid request that will be sent to the WS and the SendTransactionRequest before encryption
      Throws:
        `TechnicalConnectorException`
        `AttestBusinessConnectorException`
        `JAXBException`
        `TransformerException`
        `UnsupportedEncodingException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.